Create an SLO
- Base URL
-
https://{kibana_url}
- POST /s/{spaceId}/api/observability/slos
You must have all privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
Request body
-
budgetingMethodrequired -
The budgeting method to use when computing the rollup data.
-
Values:
occurrencestimeslices -
settingsobject -
Defines properties for SLO settings.
-
frequencystring · default: 1m -
The interval between checks for changes in the source data. The minimum value is 1m and the maximum is 59m. The default value is 1 minute.
-
preventInitialBackfillboolean · default: false -
Start aggregating data from the time the SLO is created, instead of backfilling data from the beginning of the time window.
-
syncDelaystring · default: 1m -
The time delay in minutes between the current time and the latest source data time. Increasing the value will delay any alerting. The default value is 1 minute. The minimum value is 1m and the maximum is 359m. It should always be greater then source index refresh interval.
-
syncFieldstring -
The date field that is used to identify new documents in the source. It is strongly recommended to use a field that contains the ingest timestamp. If you use a different field, you might need to set the delay such that it accounts for data transmission delays. When unspecified, we use the indicator timestamp field.
-
List of tags
Responses
Bad request
Unauthorized response
Forbidden response